# Use ZAW search
# First check if ZAW is installed and sourced
zplug info zsh-users/zaw >|/dev/null || return

bindkey '^R' zaw-history
bindkey -M filterselect '^R' down-line-or-history
bindkey -M filterselect '^S' up-line-or-history
bindkey -M filterselect '^E' accept-search

zstyle ':filter-select:highlight' matched fg=red
zstyle ':filter-select' max-lines 5
zstyle ':filter-select' extended-search yes
